<%= render :partial => "header" %>

<table class="list">
    <tr>
    	<% if admin? %>
            <th><%=table_header @search, "Done", "Sort by done", "publishers.done" %></th>
        <% end %>
		<th><%=table_header @search, "Label", "Sort by label", "publishers.label" %></th>
        <th><%=table_header @search, "City", "Sort by city", "publishers.city" %></th>
        <th><%=table_header @search, "Country", "Sort by country", "countries.code" %></th>
    <tr>
    <%  @page.each_index do |i| 
        publisher = Publisher.find @page[i] %>
	  <tr <%= "id='current_record'" if publisher.id == @search.record %>
            onmouseover="document.getElementById('current_record').id = null; this.onmouseover=null;"
	  	class="<%= cycle('odd', 'even')%>"
        onclick="window.location.href='<%= url_for :action => :show, :id => @search.search_id, :record => @search.records_per_page * (@search.page_number - 1) + i%>'"
		title='View Full Record for this publisher<%= " mit der ID #{publisher.id}" if admin?%>'>
		<% if admin? %>
            <td><%=code_label publisher.done, 'done' %></td>
        <% end %>
		<td><%=hyphenate(publisher.label)%>
        <td><%=hyphenate publisher.city%></td>
        <td><%=publisher.country ? "#{publisher.country.code} (#{publisher.country.label})" : "---"%></td>
    <tr>
    <% end %>
</table>

<% if @page.size > 9%>
    <div id="search_footer">
        <%= render :partial => "page_size"%>
        <%= render :partial => "pager"%>
    </div>
<% end %>
